### Constructor

# Gio Emblem new

since: 2.18

#### Declaration [src]

    GEmblem*
    g_emblem_new (
      GIcon* icon
    )

#### Description [src]

Creates a new emblem for `icon`.

Available since: 2.18

#### Parameters

`icon`

  Type: `GIcon`

  A GIcon containing the icon.

  The data is owned by the caller of the function.

#### Return value

Type: `GEmblem`

A new `GEmblem`.

The caller of the function takes ownership of the data, and is responsible for freeing it.